# Get Return Order GET https://api.shipbob.com/2025-07/return/{id} Reference: https://developer.shipbob.com/api/returns/get-return-order ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: api-2025-07 version: 1.0.0 paths: /2025-07/return/{id}: get: operationId: get-return-order summary: | Get Return Order tags: - subpackage_returns parameters: - name: id in: path description: | The Id of the Return required: true schema: type: string format: int32 - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string - name: shipbob_channel_id in: header description: | Channel Id for Operation required: false schema: type: string format: int32 responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/Returns.PublicReturnDto' '400': description: Bad Request content: application/json: schema: $ref: '#/components/schemas/Returns.ProblemDetails' '401': description: Authorization missing or invalid content: application/json: schema: description: Any type '403': description: The provided credentials are not authorized to access this resource content: application/json: schema: description: Any type '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/Returns.ProblemDetails' servers: - url: https://api.shipbob.com - url: https://sandbox-api.shipbob.com components: schemas: Returns.ChannelDto: type: object properties: id: type: integer name: type: - string - 'null' title: Returns.ChannelDto Returns.FulfillmentCenterDto: type: object properties: id: type: integer name: type: - string - 'null' title: Returns.FulfillmentCenterDto Returns.ActionRequestedDto: type: object properties: action: type: - string - 'null' action_type: type: - string - 'null' instructions: type: - string - 'null' title: Returns.ActionRequestedDto Returns.ActionTakenDto: type: object properties: action: type: - string - 'null' action_reason: type: - string - 'null' image_url: type: - string - 'null' format: uri quantity_processed: type: integer title: Returns.ActionTakenDto Returns.LotInformationDto: type: object properties: expiration: type: - string - 'null' format: date-time minimumShelfLife: type: - integer - 'null' number: type: - string - 'null' title: Returns.LotInformationDto Returns.InventoryItemDto: type: object properties: action_requested: $ref: '#/components/schemas/Returns.ActionRequestedDto' action_taken: type: - array - 'null' items: $ref: '#/components/schemas/Returns.ActionTakenDto' id: type: integer lot_information: $ref: '#/components/schemas/Returns.LotInformationDto' name: type: - string - 'null' quantity: type: integer sku: type: - string - 'null' title: Returns.InventoryItemDto Returns.InvoiceDto: type: object properties: amount: type: - number - 'null' format: double currency_code: type: - string - 'null' title: Returns.InvoiceDto Returns.StatusHistoryDto: type: object properties: status: type: - string - 'null' timestamp: type: string format: date-time title: Returns.StatusHistoryDto Returns.TransactionDto: type: object properties: amount: type: number format: double transaction_type: type: - string - 'null' title: Returns.TransactionDto Returns.PublicReturnDto: type: object properties: arrived_date: type: - string - 'null' format: date-time awaiting_arrival_date: type: - string - 'null' format: date-time cancelled_date: type: - string - 'null' format: date-time channel: $ref: '#/components/schemas/Returns.ChannelDto' completed_date: type: - string - 'null' format: date-time customer_name: type: - string - 'null' fulfillment_center: $ref: '#/components/schemas/Returns.FulfillmentCenterDto' id: type: integer insert_date: type: string format: date-time inventory: type: - array - 'null' items: $ref: '#/components/schemas/Returns.InventoryItemDto' invoice: $ref: '#/components/schemas/Returns.InvoiceDto' original_shipment_id: type: - integer - 'null' processing_date: type: - string - 'null' format: date-time reference_id: type: - string - 'null' return_type: type: - string - 'null' shipment_tracking_number: type: - string - 'null' status: type: - string - 'null' status_history: type: - array - 'null' items: $ref: '#/components/schemas/Returns.StatusHistoryDto' store_order_id: type: - string - 'null' tracking_number: type: - string - 'null' transactions: type: - array - 'null' items: $ref: '#/components/schemas/Returns.TransactionDto' title: Returns.PublicReturnDto Returns.ProblemDetails: type: object properties: detail: type: - string - 'null' instance: type: - string - 'null' status: type: - integer - 'null' title: type: - string - 'null' type: type: - string - 'null' title: Returns.ProblemDetails securitySchemes: PAT: type: http scheme: bearer description: Authentication using Personal Access Token (PAT) token OAuth2: type: http scheme: bearer description: OAuth2 authentication using JWT tokens ``` ## SDK Code Examples ```python Returns_getReturnOrder_example import requests url = "https://api.shipbob.com/2025-07/return/id" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Returns_getReturnOrder_example const url = 'https://api.shipbob.com/2025-07/return/id'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Returns_getReturnOrder_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2025-07/return/id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Returns_getReturnOrder_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2025-07/return/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Returns_getReturnOrder_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2025-07/return/id") .header("Authorization", "Bearer ") .asString(); ``` ```php Returns_getReturnOrder_example request('GET', 'https://api.shipbob.com/2025-07/return/id', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Returns_getReturnOrder_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2025-07/return/id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Returns_getReturnOrder_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2025-07/return/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```